package de.thpeetz.kontor.media.data;

import de.thpeetz.kontor.media.repository.MediaArticleRepository;
import de.thpeetz.kontor.media.services.MediaArticleService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import static org.junit.jupiter.api.Assertions.*;
import static org.junit.jupiter.api.Assertions.assertFalse;

@SpringBootTest
public class MediaArticleTest {

    @Autowired
    private MediaArticleRepository mediaArticleRepository;

    @Test
    void checkInitialLoad() {
        assertTrue(mediaArticleRepository.findAll().isEmpty());
    }

    @Test
    void checkDefaultValues() {
        MediaArticle mediaArticle = new MediaArticle();
        assertNull(mediaArticle.getUrl());
        assertNull(mediaArticle.getTitle());
        assertNull(mediaArticle.getCreatedDate());
        assertNull(mediaArticle.getLastModifiedDate());
        assertNull(mediaArticle.getId());
        assertFalse(mediaArticle.isReview());
    }
}
